Bug 641 - Error during build
Error during build
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.0
All Solaris
: P3 normal
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-17 07:49 UTC by Luigi Beretta
Modified: 2005-11-14 09:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luigi Beretta 2003-10-17 07:49:59 UTC
We are building SAMBA 3.0.0 on Solaris7 with gcc 3.3 during the "make install"
command we have the following fatal error:

./install-sh -c bin/libsmbclient.so /dkluigi/SAMBA330/lib
mksh: Fatal error: Cannot load command `./install-sh': Bad file number
Current working directory /dkluigi/samba-3.0.0/source
*** Error code 1 (ignored)
: bin/libsmbclient.a /dkluigi/SAMBA330/lib
./install-sh -c /dkluigi/samba-3.0.0/source/include/libsmbclient.h
/dkluigi/SAMBA330/include
mksh: Fatal error: Cannot load command `./install-sh': Bad file number
Current working directory /dkluigi/samba-3.0.0/source
*** Error code 1 (ignored)



We ran the "configure" command with --prefix=<path> option.
Comment 1 Tim Potter 2003-10-19 20:14:28 UTC
Is the install-sh program marked as executable?  I think some of the recent
Samba source releases shipped with this file non-executable.
Comment 2 Gerald (Jerry) Carter 2003-10-29 14:30:40 UTC
packaging error.  Fixed in 3.0.1pre1 release.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:28:22 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:31:43 UTC
database cleanup